Subject: Re: [EAI] UTF-8 in a Subject header field?

From: Shawn Steele <[email-masked]>
Date: Mon, 27 Dec 2010 20:05:31 +0000

>> So I thought I should ask how the working group expects UTF-8
>> Subject data and data in other free-form header-fields to be
>> handled.
>
> Isn't that covered by RFC 2047 ?
>
>   Subject: =?UTF-8?Q?Joyeux=20No=C3=ABl?=
>
> I realize that if we're going to allow bare UTF-8 in
> addresses, it might seem reasonable to allow it everywhere,
> but it's better to avoid multiple ways to do the same thing.

> With that in mind, I'd suggest that the EAI documents would benefit by 
> being shorter and more brutal: anywhere you can use arbitrary ASCII you 
> can now use arbitrary UTF-8.  All other encodings are deprecated, no 
> charsets other than UTF8 in top-level MIME parts, A-labels in addresses 
> will cause a razzberry to come out of your speaker.  If you want to send 
> mail to somebody who doesn't grok EAI, it's your MUA's job to try to 
> create a mail-classic version.

In my opinion UTF-8 instead of ASCII would be the best for EAI, particularly since we're not bothering with downgrade.  There might be some places (cell phone gateways?) that'd benefit from being able to have other encoded MIME parts, thought I don't mind if they get razzberries.

"Today" sometimes 8-bit non-ascii stuff "gets through", but there's no defined behavior for that practice.  Saying that "8-bit stuff is UTF-8" (unless it's in some other mime part) would clarify that behavior.

-Shawn

 
http://blogs.msdn.com/shawnste